oracle.dbtools.plugin.api.http.annotations

## Enum DocumentationPolicy

- java.lang.Object
- - java.lang.Enum<DocumentationPolicy>
  - - oracle.dbtools.plugin.api.http.annotations.DocumentationPolicy

- All Implemented Interfaces:
    Serializable, Comparable<DocumentationPolicy>

      public enum DocumentationPolicy
      extends Enum<DocumentationPolicy>

  Describes how a resource should be documented.
  Author:
    cdivilly

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHORIZED` Only authorized users can see the documentation
    `INHERIT` Use the default value from the enclosing element
    `NONE` The resource is not documented
    `PUBLIC` Any user can see the documentation

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentationPolicy` | `DEFAULT` Default `DocumentationPolicy`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DocumentationPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DocumentationPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PUBLIC

          public static final DocumentationPolicy PUBLIC

      Any user can see the documentation

    - #### AUTHORIZED

          public static final DocumentationPolicy AUTHORIZED

      Only authorized users can see the documentation

    - #### NONE

          public static final DocumentationPolicy NONE

      The resource is not documented

    - #### INHERIT

          public static final DocumentationPolicy INHERIT

      Use the default value from the enclosing element

  - ### Field Detail

    - #### DEFAULT

          public static final DocumentationPolicy DEFAULT

      Default `DocumentationPolicy`

  - ### Method Detail

    - #### values

          public static DocumentationPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DocumentationPolicy c : DocumentationPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DocumentationPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010, 2022, Oracle and/or its affiliates.